## ruby-stud 0.0.20

=== Makefile ===
GEMSPEC=$(shell ls *.gemspec | head -1)
VERSION=$(shell ruby -rubygems -e 'puts Gem::Specification.load("$(GEMSPEC)").version')
PROJECT=$(shell ruby -rubygems -e 'puts Gem::Specification.load("$(GEMSPEC)").name')
GEM=$(PROJECT)-$(VERSION).gem

.PHONY: test
test:
	bundle exec rspec

.PHONY: package
package: $(GEM)

# Always build the gem
.PHONY: $(GEM)
$(GEM):
	gem build $(PROJECT).gemspec

showdocs:
	yard server --plugin yard-tomdoc -r

clean:
	-rm -r .yardoc/ doc/ *.gem 

.PHONY: install
install: $(GEM)
	gem install $<

.PHONY: publish
publish: $(GEM)
	gem push $(GEM)

=== debian/changelog ===
ruby-stud (0.0.20-1) unstable; urgency=medium

  * Initial release (Closes: #757073)

 -- Tim Potter <tpot@hp.com>  Fri, 26 Jun 2015 12:17:02 +1100

=== debian/control ===
Source: ruby-stud
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hp.com>
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.7.5~), ruby-rspec, ruby-insist
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-stud.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-stud.git;a=summary
Homepage: https://github.com/jordansissel/ruby-stud
XS-Ruby-Versions: all

Package: ruby-stud
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter, ruby-metriks, ruby-ffi
Description: reusable common code to enhance Ruby's stdlib library
 The Stud library is a collection of small, reusable bits of code to
 enhance Ruby's stdlib library. It implements functions for different
 comman tasks in systems programming such as retrying operations on
 failure, supervising workers, managing resource pools, and others.

## ruby-stud 0.0.22

=== debian/changelog ===
ruby-stud (0.0.22-2) unstable; urgency=medium

  * Team upload.

  [ Lucas Albuquerque Medeiros de Moura ]
  * Drop unnecessary dependencies from debian/control

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Use secure URI in debian/watch.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.
  * Apply multi-arch hints.
    + ruby-stud: Add :any qualifier for ruby dependency.

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 06 Aug 2025 16:18:55 +0000

ruby-stud (0.0.22-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 08 Jan 2021 14:37:44 +0100

ruby-stud (0.0.22-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Bump standards-version to 3.9.8
  * Drop unnecessary dependencies from debian/control

 -- Lucas Albuquerque Medeiros de Moura <lucas.moura128@gmail.com>  Tue, 29 Nov 2016 15:46:36 -0200

=== debian/control ===
Source: ruby-stud
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hp.com>
Build-Depends: debhelper-compat (= 12),
               gem2deb,
               ruby-insist,
               ruby-rspec
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-stud.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-stud
Homepage: https://github.com/jordansissel/ruby-stud
XS-Ruby-Versions: all

Package: ruby-stud
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby:any | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Description: reusable common code to enhance Ruby's stdlib library
 The Stud library is a collection of small, reusable bits of code to
 enhance Ruby's stdlib library. It implements functions for different
 comman tasks in systems programming such as retrying operations on
 failure, supervising workers, managing resource pools, and others.

=== debian/watch ===
version=3
https://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/stud .*/stud-(.*).tar.gz

## ruby-stud 0.0.23

=== debian/changelog ===
ruby-stud (0.0.23-1) unstable; urgency=medium

  * Team upload.
  * Use gemwatch.debian.net in watch.
  * New upstream release.
  * Drop {XS,XB}-Ruby-Versions from control.
  * Use ${ruby:Depends} for runtime dependencies.
  * Update Standards-Version to 4.7.2, no changes needed.
  * Update debhelper-compat to 13, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 13 Nov 2025 11:37:31 -0600

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,18 @@
 Priority: optional
 Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Tim Potter <tpot@hp.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                gem2deb,
                ruby-insist,
                ruby-rspec
-Standards-Version: 3.9.8
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-stud.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-stud
 Homepage: https://github.com/jordansissel/ruby-stud
-XS-Ruby-Versions: all
 
 Package: ruby-stud
 Architecture: all
-XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby:any | ruby-interpreter,
+Depends: ${ruby:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Description: reusable common code to enhance Ruby's stdlib library

=== debian/watch ===
version=4
https://gemwatch.debian.net/stud .*/stud-(.*).tar.gz
